package com.metro.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 *
 */
@Data
public class JDeviceUpdateDTO implements Serializable {

    @ApiModelProperty(value = "设备Id")
    @NotEmpty(message = "设备Id不能为空")
    private Integer id;
    @ApiModelProperty(value = "地铁盘口Id")
    @NotEmpty(message = "地铁盘口Id不能为空!")
    private Integer metroId;
}
