package com.metro.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 *
 */
@Data
public class JpersonEditDTO implements Serializable {

    private Integer id;

    @ApiModelProperty(value = "账号名称")
    @NotEmpty(message = "账号不能为空!")
    private String cardId;

    @ApiModelProperty(value = "管理员姓名")
    private String xm;

    @ApiModelProperty(value = "密码")
    private String passwd;

    @ApiModelProperty(value = "手机号 可空")
    private String phone;

    @ApiModelProperty(value = "填入部门Id")
    private String companyId;

    @ApiModelProperty("填入派出所Id")
    private String branchId;

    @ApiModelProperty(value = "照片")
    private String photo;

    @ApiModelProperty(value = "身份证号")
    private String idNum;


}
