package com.metro.entity.model;


import com.metro.annotation.Excel;
import com.metro.annotation.Excel.Type;
import lombok.Data;


import java.util.Date;

@Data
public class UserOperateModel {
    private static final long serialVersionUID = 1L;

    @Excel(name = "账号")
    private String account;

    @Excel(name = "用户姓名")
    private String userName;

    @Excel(name = "用户手机")
    private String phone;

    @Excel(name = "用户密码")
    private String password;

    @Excel(name = "警号")
    private String policeId;

    @Excel(name = "详细地址")
    private String address;

    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", type = Type.EXPORT)
    private Date createTime;

    public UserOperateModel() {

    }

}