package com.metro.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @ClassName: Companys
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 10:50
 * ...
 */
@Data
@TableName("j_companys")
@Accessors(chain = true)
public class Company implements Serializable {

    @TableId(value = "id",type = IdType.AUTO)
    private Integer id;

    /**
     * 公安id
     */
    @TableField("company_id")
    private String companyId;

    /**
     * 公安局名称
     */
    @TableField("company_name")
    private String companyName;

    /**
     * 派出所Id
     */
    @TableField("branch_id")
    private String  branchId;

    /**
     * 分局(派出所Id)
     */
    @TableField("branch_name")
    private String branchName;

}
