package com.metro.entity.po;/*
 * @Description
 * @Date 2022/5/17 13:32
 * @Author wxg
 * */

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

@Data
@TableName("data_show")
public class DataShow {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    /**
     *
     * j_companys中的company_id
     */
    private String companyId;
    /**
     *
     * j_companys中的branch_id
     */
    private String branchId;
    /*
    * 通行数量
    * */
    @TableField("number")
    private Integer number;
    /**
     * 日期
     */
    @TableField("date")
    private Date date;

    /**
     * 抓捕人数
     */
    @TableField("arrest_number")
    private Integer arrestNumber;

    /**
     * 存疑人数
     */
    @TableField("doubt_number")
    private Integer doubtNumber;

    /**
     * 正常通过人数
     */
    @TableField("pass_number")
    private Integer passNumber;

    /**
     * 异常人数
     */
    @TableField("exception_number")
    private Integer exceptionNumber;
}
