package com.metro.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
/**
 * <p>
 * 临时布控
 * </p>
 *
 * @author wxg
 * @since 2022-07-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("execute_control")
public class ExecuteControl implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 身份证号码
     */
    @TableId(value = "id_num", type = IdType.INPUT)
    private String idNum;

    /**
     * 姓名
     */
    @TableField("name")
    private String name;

    /**
     * 案件类别
     */
    @TableField("category")
    private String category;

    /**
     * 关注部门
     */
    @TableField("org_name")
    private String orgName;

    /**
     * 案情
     */
    @TableField("case")
    private String caseInfo;

}
