package com.metro.entity.po;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
/**
 * <p>
 * 
 * </p>
 *
 * @author wxg
 * @since 2022-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("j_devices")
public class JDevices implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @TableField("device_id")
    private String deviceId;

    @TableField("full_id")
    private String fullId;

    @TableField("device_type")
    private String deviceType;

    @TableField("app_version")
    private String appVersion;

    @TableField("xzqh")
    private String xzqh;

    @TableField("area")
    private String area;

    @TableField("address")
    private String address;

    @TableField("wxid")
    private String wxid;

    @TableField("company_id")
    private String companyId;

    @TableField("branch_id")
    private String branchId;

    @TableField("contact_people")
    private String contactPeople;

    @TableField("contact_phone")
    private String contactPhone;

    @TableField("entry")
    private String entry;

    @TableField("use_scene")
    private String useScene;

    @TableField("ip")
    private String ip;

    @TableField("state")
    private Integer state;

    @TableField("enabled")
    private Integer enabled;

    @TableField("licensed")
    private Integer licensed;

    @TableField("license_start")
    private LocalDate licenseStart;

    @TableField("license_end")
    private LocalDate licenseEnd;

    @TableField("first_boot")
    private LocalDateTime firstBoot;

    @TableField("license_data")
    private String licenseData;

    @TableField("custom_device_id")
    private String customDeviceId;


}
