package com.metro.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author wxg
 * @since 2022-04-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("j_persons")
public class JPersons implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @TableField("company_id")
    private String companyId;

    @TableField("branch_id")
    private String branchId;

    @TableField("card_id")
    private String cardId;

    @TableField("xm")
    private String xm;

    @TableField("xb")
    private String xb;
    /*
    * 照片 base64
    * */
    @TableField("photo")
    private String photo;

    @TableField("is_admin")
    private Integer isAdmin;

    @TableField("bz")
    private String bz;

    @TableField("reg_time")
    private Date regTime;

    @TableField("update_timestamp")
    private Long updateTimestamp;

    @TableField("flag")
    private Integer flag;

    @TableField("account")
    private String account;

    @TableField("passwd")
    private String passwd;

    @TableField("area_id")
    private Integer areaId;

    @TableField("phone")
    private String phone;

    /**
     * 是否删除
     */
    @TableField("is_delete")
    private Integer isDelete;

    /**
     * 有效期始(时间戳)
     */
    @TableField("valid_start_time")
    private Long validStartTime;

    /**
     * 有效期结束(时间戳)
     */
    @TableField("valid_end_time")
    private Long validEndTime;

    /**
     * 人脸特征
     */
    @TableField("feature")
    private String feature;

    @TableField("id_num")
    private String idNum;

}
