package com.metro.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @ClassName: PassreCords
 * @Description: 盘查记录
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 11:36
 * ...
 */
@TableName("j_passrecords")
@Data
@Accessors(chain = true)
public class PassreCords {
    /**
     * id
     */
    @TableId(value = "id",type = IdType.AUTO)
    private int id;
    /**
     * 身份证号
     */
    private String cardId;

    /**
     * 姓名
     */
    private String xm;

    /**
     *
     */
    private String engXm;

    /**
     * 性别
     */
    private String xb;

    /**
     * 手机号
     */
    private String phone;

    /**
     * mz
     */
    private String mz;

    /**
     * 出生日期
     */
    private String csrq;

    /**
     * 盘查时间
     */
    private Date passTime;

    /**
     *
     */
    private String passAddr;

    /**
     * 警示级别  0前科 1警示人员 2正常
     */
    private Integer pass;

    /**
     * 警示级别  前科 警示人员 正常
     */
    private String kind;

    /**
     * 警示备录
     */
    private String warningMsg;

    /**
     * 身份证照片
     **/
    private String idPhoto;
    /**
     * 现场照片
     **/
    private String scenePhoto;
    /**
     * 身份证地区
     */
    private String cardAddr;

    /**
     * 总部名称
     */
    private String companyName;

    /**
     * 部门名称
     */
    private String branchName;

    /**
     * 警号
     */
    private String staffCardId;

    /**
     *
     */
    private String msgId;

    /**
     *总部id
     */
    private String companyId;

    /**
     *分局id
     */
    private String branchId;

    /**
     *条形码
     */
    private String barCode;

    /**
     *问题
     */
    private String issue;

    /*
    * 范围值
    * */
    private String validRange;


    /*
    * 核验是否通过
    * */
    private String displayMsg;



    /*
    * 警示记录
    * */
    /*private String warning;*/

    /*
     * 警示负责民警
     * */
    private String staffName;
    /*
     * 通行类型
     * */
    private Integer passMode;

    /*
     * 健康码颜色
     * */
    private String healthCode;

    private Boolean firstPass;

}
