package com.metro.entity.ro.Police;

import com.metro.enums.UserEnums;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * @ClassName: DetailPoliceResp
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/18 9:46
 * ...
 */
@Data
@ApiModel
@Accessors(chain = true)
public class DetailPoliceResp {
    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "账号名称")
    private String account;

    @ApiModelProperty(value = "管理员姓名")
    private String userName;

    @ApiModelProperty(value = "管理员手机号")
    private String phone;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "派出所名称")
    private String branchName;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "修改时间")
    private LocalDateTime updateTime;

}
