package com.metro.entity.ro.account;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @ClassName: InsertAccountReq
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/12 14:13
 * ...
 */
@Data
public class InsertAccountReq implements Serializable {

    @ApiModelProperty(value = "账号名称")
    private String account;

    @ApiModelProperty(value = "管理员姓名")
    private String userName;

    @ApiModelProperty(value = "管理员手机号")
    private String phone;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "区Id")
    private Integer areaId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "type = 1 填入部门Id")
    private String companyId;

    @ApiModelProperty("type =2 填入派出所Id")
    private String branchId;

    @ApiModelProperty("type = 3 填入警号Id")
    private String policeId;

}
