package com.metro.entity.ro.account;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @ClassName: RegisterAccountResp
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/14 21:11
 * ...
 */
@ApiModel("注册")
@Data
@Accessors(chain = true)
public class LoginAccountResp {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "账号名称")
    private String account;

    @ApiModelProperty(value = "管理员姓名")
    private String userName;

    @ApiModelProperty(value = "密码",hidden = true)
    private String passWord;

    @ApiModelProperty("用户类型")
    private Integer type;

    @ApiModelProperty("分局Id")
    private String companyId;

    @ApiModelProperty("派出所Id")
    private String branchId;

    @ApiModelProperty(value = "token")
    private String token;

}
