package com.metro.entity.ro.account;

import com.baomidou.mybatisplus.annotation.TableId;
import com.metro.baseRe.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @ClassName: AccountCompanyPageReq
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/10 10:11
 * ...
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class SelectAccountPageReq extends BaseEntity implements Serializable {

    /**
     * 管理员姓名
     */
    @ApiModelProperty(value = "管理员姓名")
    private String userName;

    /**
     * 管理员手机号
     */
    @ApiModelProperty(value = "管理员手机号")
    private String phone;

    /**
     * 管理员等级
     */
    @ApiModelProperty(value = "管理员等级")
    private Integer type;

}
