package com.metro.entity.ro.passrecords;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: Companys
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 10:50
 * ...
 */
@Data
@ApiModel
@Accessors(chain = true)
public class SelectPassreCordsPageListResp implements Serializable {

    private Integer id;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "性别")
    private String xb;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(value = "证件照片")
    private String idPhoto;

    @ApiModelProperty(value = "现场照片")
    private String scenePhoto;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty("通行时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date passTime;

    @ApiModelProperty(value = "住址")
    private String cardAddr;

    @ApiModelProperty(value = "通行类型")
    private Integer passMode;

    @ApiModelProperty(value = "0=抓捕，1=存疑，2=通过，3=异常")
    private Integer pass;

    @ApiModelProperty(value = "验证方式中文")
    private String passName;

    @ApiModelProperty(value = "人员类型描述")
    private String kind;

    @ApiModelProperty(value = "所属派出所")
    private String companyId;

    @ApiModelProperty(value = "所属派出所名")
    private String companyName;

    @ApiModelProperty(value = "所属派分局")
    private String branchId;

    @ApiModelProperty(value = "所属派分局名")
    private String branchName;

    @ApiModelProperty(value = "民警名")
    private String staffName;

    @ApiModelProperty(value = "站点")
    private String metroName;


}
