package com.metro.entity.search;

import com.metro.baseRe.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("法院临控search")
public class CourtControlSearch extends BaseEntity implements Serializable {

    @ApiModelProperty(value = "身份证号 模糊查询")
    private String sfzh;

    @ApiModelProperty(value = "姓名 模糊查询")
    private String xm;
}
