package com.metro.entity.search;

import com.metro.baseRe.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class PoliceSearch extends BaseEntity implements Serializable {


    @ApiModelProperty(value = "派出所Id")
    private String companyId;

    @ApiModelProperty(hidden = true)
    private String branchId;

    /*因为多个接口使用，type=1则查询图片并返回*/
    @ApiModelProperty(hidden = true)
    private Integer type;

    @ApiModelProperty(hidden = true)
    private String cardId;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;
}
