package com.metro.entity.search;

import com.metro.baseRe.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class WarningSearch extends BaseEntity implements Serializable {

    @ApiModelProperty(value = "预警人员姓名")
    private String xm;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "派出所")
    private String companyId;

    @ApiModelProperty(value = "安检口")
    private String branchId;

    @ApiModelProperty(value = "民警账号",hidden = true)
    private String staffCardId;
}
