package com.metro.entity.vo;/*
 * @Description
 * @Date 2022/5/17 11:20
 * @Author wxg
 * */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@ApiModel
@Accessors(chain = true)
public class DataShowTopVO {

    @ApiModelProperty("盘查总人数")
    private Integer totalNumber = 0;

    @ApiModelProperty("今日盘查人数")
    private Integer todayNumber = 0;

    @ApiModelProperty("总预警人数")
    private Integer totalWarningNumber = 0;

    @ApiModelProperty("总存疑人数")
    private Integer totalDoubtNumber = 0;

    @ApiModelProperty("总抓捕人数")
    private Integer totalArrestNumber = 0;

    @ApiModelProperty("今日预警人数")
    private Integer todayWarningNumber = 0;

    @ApiModelProperty("今日存疑人数")
    private Integer todayDoubtNumber = 0;

    @ApiModelProperty("今日抓捕人数")
    private Integer todayArrestNumber = 0;

    @ApiModelProperty("总站点数")
    private Integer totalSiteNumber;

    @ApiModelProperty("总设备数")
    private Integer totalDeviceNumber;

    @ApiModelProperty(hidden = true)
    private String companyId;
}
