package com.metro.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @ClassName: AccountCompanyPageReq
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/10 10:11
 * ...
 */
@Data
@ApiModel
@Accessors(chain = true)
public class JDevicesVO{

    @ApiModelProperty("id")
    private Long id;

    @ApiModelProperty("设备编号")
    private String deviceId;

    @ApiModelProperty("设备类型")
    private String deviceType;

    @ApiModelProperty("app版本")
    private String appVersion;

    @ApiModelProperty("区域")
    private String area;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("地铁id")
    private String companyId;

    @ApiModelProperty("区域id")
    private String branchId;

    @ApiModelProperty("地铁名称")
    private String companyName;

    @ApiModelProperty("区域名称")
    private String branchName;

    @ApiModelProperty("联系人")
    private String contactPeople;

    @ApiModelProperty("联系人手机号")
    private String contactPhone;

    @ApiModelProperty("IP地址")
    private String ip;

    @ApiModelProperty("是否允许使用 1.允许 0不允许")
    private Integer enabled;

    @ApiModelProperty("是否授权 1.授权 0未授权")
    private Integer licensed;

    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date firstBoot;

    @ApiModelProperty("线号Id")
    private Integer lineId;

    @ApiModelProperty("线号名称")
    private String lineName;

    @ApiModelProperty("站点Id")
    private Integer siteId;

    @ApiModelProperty("站点名称")
    private String siteName;

    @ApiModelProperty("盘口Id")
    private Integer metroId;

    @ApiModelProperty("盘口名称")
    private String metroName;
}
