package com.metro.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @ClassName: RegisterAccountResp
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/14 21:11
 * ...
 */
@ApiModel("注册")
@Data
@Accessors(chain = true)
public class JPersonVO {

    @ApiModelProperty(value = "id")
    private Integer id;

    @ApiModelProperty(value = "账号名称")
    private String cardId;

    @ApiModelProperty(value = "管理员姓名")
    private String xm;

    @ApiModelProperty(value = "base64照片")
    private String photo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty("用户类型 1-admin 2-公安局 3-派出所")
    private Integer type;

    @ApiModelProperty("分局Id")
    private String companyId;

    @ApiModelProperty("分局Id")
    private String companyName;

    @ApiModelProperty("派出所Id")
    private String branchId;

    @ApiModelProperty("派出所名称")
    private String branchName;

    @ApiModelProperty(value = "token")
    private String token;

    @ApiModelProperty("是否是后台管理员账号 1-是   0-不是")
    private Integer isAdmin;

    @ApiModelProperty(value = "密码")
    private String passwd;

    @ApiModelProperty(value = "身份证号")
    private String idNum;

}
