package com.metro.entity.vo;/*
 * @Description
 * @Date 2022/5/17 11:20
 * @Author wxg
 * */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@ApiModel
@Accessors(chain = true)
public class WarFruitVO {

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "身份证")
    private String cardId;

    @ApiModelProperty(value = "base64照片")
    private String photo;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty("盘查总人数")
    private Integer number = 0;

    @ApiModelProperty("抓捕人数")
    private Integer arrestNumber = 0;

    @ApiModelProperty("存疑人数")
    private Integer doubtNumber = 0;

    @ApiModelProperty("通过人数")
    private Integer passNumber = 0;

    @ApiModelProperty("异常人数")
    private Integer exceptionNumber = 0;

    @ApiModelProperty(value = "派出所",hidden = true)
    private String companyId;
}
