package com.metro.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: Companys
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 10:50
 * ...
 */
@Data
@ApiModel
@Accessors(chain = true)
public class WarningDetailOneVO implements Serializable {

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "性别")
    private String xb;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty("抓拍时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date passTime;

    @ApiModelProperty("有效期")
    private String validRange;

    @ApiModelProperty("家庭住址")
    private String cardAddr;

    @ApiModelProperty("设备号")
    private String deviceId;

    @ApiModelProperty("盘口号")
    private String metroName;

    @ApiModelProperty("现场照片")
    private String scenePhoto;

    @ApiModelProperty("身份证照片")
    private String idPhoto;

    @ApiModelProperty(value = "所属分局名")
    private String companyName;

    @ApiModelProperty(value = "所属派出所名")
    private String branchName;

    @ApiModelProperty("预警信息")
    private String warningMsg;

    @ApiModelProperty("健康码颜色")
    private String healthCode;

    @ApiModelProperty("情况")
    private String kind;

    @ApiModelProperty("通过情况")
    private String displayMsg;
}
