package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.metro.entity.po.JPersons;
import com.metro.entity.search.JPersonSearch;
import com.metro.entity.vo.JPersonVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-04-29
 */
public interface JPersonsMapper extends BaseMapper<JPersons> {

    IPage<JPersonVO> getPageList(Page<JPersonVO> page, @Param("jPersonSearch")JPersonSearch jPersonSearch);
    /**/
    Integer updateJperson();
    Integer updateJperson1();
}
