package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.metro.entity.po.Metro;
import com.metro.entity.vo.MetroVO;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @ClassName: MetroMapper
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/9 1:40
 * ...
 */
public interface MetroMapper extends BaseMapper<Metro> {
    /*
     * @创建者  WXG
     * @描述   根据盘查口id查询到对应 盘查口名称以及对应 线号以及站口
     * @时间  2022/4/27 17:30
     **/
    List<MetroVO> selectByMetroIdSet(Set<Integer> metroIdSet);

    /*
     * @创建者  WXG
     * @描述   根据盘查口id查询到对应 盘查口名称以及对应 线号以及站口
     * @时间  2022/4/27 17:30
     **/
    MetroVO selectByMetroId(Integer metroId);

    /*
     * @创建者  WXG
     * @描述   根据设备id获取对应的盘口信息
     *          返回有两个参数
     *           deviceId ："",
     *           metroName ：""
     * @时间  2022/5/20 14:22
     **/
    List<Map<String,String>> selectMetroNameByDeviceId(List<String> list);
}
