package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.metro.entity.po.WarFruit;
import com.metro.entity.search.PoliceSearch;
import com.metro.entity.vo.WarFruitVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 战果统计表 Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-05-19
 */
public interface WarFruitMapper extends BaseMapper<WarFruit> {
    /*民警列表分页*/
    IPage<WarFruitVO> policePageList(Page<WarFruitVO> page, @Param("policeSearch")PoliceSearch policeSearch);

    void initData();

    List<WarFruit> updateData(String passTime);
}
