package com.metro.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.metro.entity.dto.JpersonDTO;
import com.metro.entity.dto.JpersonEditDTO;
import com.metro.entity.search.JPersonSearch;
import com.metro.entity.vo.JPersonVO;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wxg
 * @since 2022-05-06
 */
public interface JPersonsService{
    /*账号登录*/
    JPersonVO login(JpersonDTO jpersonDTO);
    /*账号退出*/
    Boolean logout();
    /*获取账号信息*/
    JPersonVO getUserInfo();
    /*账号列表分页  只有 1 2级账号可以调用*/
    IPage<JPersonVO> getPageList(JPersonSearch jPersonSearch);
    /*添加账号*/
    Integer insert(JpersonEditDTO jpersonEditDTO);
    /*删除账号*/
    Integer delete(Integer id);
}
