package com.metro.service;

import com.metro.baseRe.BaseResponse;
import com.metro.entity.dto.DeviceDTO;

import java.util.Map;

/**
 * @description:
 * @ClassName OpenAPIService
 * @Author WXG
 * @Date 2022/6/15 15:42
 */
public interface OpenAPIService {
    /*根据身份证号查看是否在临控表中*/
    BaseResponse<Boolean> selectByIdNum(String idNum);
    /*设备获取信息*/
    Map<String, Object> selectByDeviceId(DeviceDTO deviceDTO);
}
