package com.metro;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;


@MapperScan(basePackages = {"com.metro.mapper"})
@ComponentScan(basePackages = {"com.metro.**"})
@SpringBootApplication
@EnableScheduling
public class MetroApplication {

    public static void main(String[] args) {
        ConfigurableApplicationContext applicationContext = SpringApplication.run(MetroApplication.class, args);
    }


}
