package com.metro.constant;

import java.io.Serializable;

/**
 * @ClassName: UserConstant
 * @Description: 用户常量
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/12 10:51
 * ...
 */
public class UserConstant implements Serializable {

    /**
     * 删除
     */
    public static final Boolean DELETE = Boolean.TRUE;

    /**
     * 不删除
     */
    public static final Boolean NOT_DELETE = Boolean.FALSE;

    /**
     * 账号状态 正常
     */
    public static final Boolean NORMAL = Boolean.TRUE;

    /**
     * 账号状态 停用
     */
    public static final Boolean STOP = Boolean.FALSE;

    /**
     * 注册账号不能为中文
     */
    public static final String NOT_CHINESE_ACCOUNT = "账号不能为中文";

    /**
     * 注册账号不能为中文
     */
    public static final String NOT_CHINESE_USERNAME = "姓名不能为非中文";

}
