//package com.metro.controller;
//
//import com.baomidou.mybatisplus.core.metadata.IPage;
//import com.metro.baseRe.BaseResponse;
//import com.metro.entity.ro.Police.*;
//
//import com.metro.entity.ro.account.*;
//import com.metro.security.Authority;
//import com.metro.service.PoliceService;
//import io.swagger.annotations.Api;
//import io.swagger.annotations.ApiOperation;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RestController;
//
//import javax.validation.Valid;
//import java.util.List;
//
///**
// * @ClassName: PolicController
// * @Description: TODO
// * @Author: ZS
// * @CreateName: lws
// * @Date 2022/3/18 0:53
// * ...
// */
//@RestController
//@RequestMapping("/police")
//@Api(tags = "派出所管理（只有分局可以操作，其他账号无权限）")
//public class PolicController {
//    @Autowired
//    private PoliceService service;
//
//    /**
//     * @param req
//     * @return
//     */
//    @PostMapping("/page")
//    @ApiOperation("派出所列表查询")
//    public BaseResponse<IPage<SelectPolicePageResp>> page(@Valid @RequestBody(required = false) SelectPolicePageReq req) {
//        return BaseResponse.ok(service.page(req));
//    }
//
//    /**
//     * 派出所下拉查询（分局、派出所）
//     * @param req
//     * @return
//     */
//    @PostMapping("/selectLevel")
//    @ApiOperation("派出所查询（分局、派出所）")
//    public BaseResponse<List<SelectPoliceLevelResp>> selectLevel(@Valid @RequestBody(required = false) SelectPoliceLevelReq req) {
//        return BaseResponse.ok(service.selectLevel(req));
//    }
//
//    /**
//     * @param req
//     * @return
//     */
//    @PostMapping("/add")
//    @Authority
//    @ApiOperation("添加账号")
//    public BaseResponse<InsertPoliceResp> add(@Valid @RequestBody InsertPoliceReq req) {
//        return BaseResponse.ok(service.add(req));
//    }
//
//    /**
//     * 账号详情
//     *
//     * @param req 主键
//     * @return 账号详情
//     */
//    @PostMapping("/detail")
//    @Authority
//    @ApiOperation("帐号详情")
//    public BaseResponse<DetailPoliceResp> detail(@Valid @RequestBody DetailPoliceReq req) {
//        return BaseResponse.ok(service.detail(req));
//    }
//
//    @PostMapping("/update")
//    @Authority
//    @ApiOperation("修改账号")
//    public BaseResponse<UpdatePoliceResp> update(@Valid @RequestBody UpdatePoliceReq req) {
//        return BaseResponse.ok(service.update(req));
//    }
//
//    @PostMapping("/delete")
//    @Authority
//    @ApiOperation("删除账号")
//    public BaseResponse<DeleteAccountResp> delete(@Valid @RequestBody DeleteAccountReq req) {
//        return BaseResponse.ok(service.delete(req));
//    }
//
//}
