package com.metro.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 */
@ApiModel("法院临控DTO")
@Data
@Accessors(chain = true)
public class CourtControlDTO {

    @ApiModelProperty(value = "身份证号码")
    private String sfzh;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "执行依据")
    private String zxyj;

    @ApiModelProperty(value = "布控法院")
    private String bkfy;

    @ApiModelProperty(value = "承办人")
    private String cbr;

    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ApiModelProperty(value = "申请日期")
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date sqrq;

    @ApiModelProperty(value = "失效日期")
    @JsonFormat(pattern="yyyy-MM-dd")
    private Date sxrq;

    @ApiModelProperty(value = "处置要求")
    private String czyq;

    @ApiModelProperty(value = "简要案情")
    private String jyaq;

}
