package com.metro.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 */
@ApiModel("临时布控DTO")
@Data
@Accessors(chain = true)
public class ExecuteControlDTO {

    @ApiModelProperty(value = "身份证号码")
    private String idNum;

    @ApiModelProperty(value = "姓名")
    private String name;

    @ApiModelProperty(value = "案件类别")
    private String category;

    @ApiModelProperty(value = "关注部门")
    private String orgName;

    @ApiModelProperty(value = "案情")
    private String caseInfo;

}
