package com.metro.entity.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @description:
 * @ClassName PoliceWarFruitExcel
 * @Author WXG
 * @Date 2022/7/14 11:41
 */
@ApiModel("民警战果Excel model")
@Data
public class PoliceStationWarFruitExcel {

    @ExcelProperty(value = "所属派出所名",index = 0)
    private String companyName;

    @ExcelProperty(value = "盘查总人数",index = 1)
    private Integer number;

    @ExcelProperty(value = "抓捕人数",index = 2)
    private Integer arrestNumber;

    @ExcelProperty(value = "存疑人数",index = 3)
    private Integer doubtNumber;

    @ExcelProperty(value = "通过人数",index = 4)
    private Integer passNumber;

    @ExcelProperty(value = "异常人数",index = 5)
    private Integer exceptionNumber;

}
