package com.metro.entity.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
/**
 * <p>
 * 
 * </p>
 *
 * @author wxg
 * @since 2022-07-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("data_dictionary")
public class DataDictionary implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 父id
     */
    @TableField("parent_id")
    private Long parentId;

    @TableField("i_key")
    private String iKey;

    @TableField("i_value")
    private String iValue;

    /**
     * 数据名称
     */
    @TableField("data_name")
    private String dataName;

    /**
     * 排序
     */
    @TableField("sort")
    private Integer sort;

}
