package com.metro.entity.ro.Police;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @ClassName: SelectPassreCordsPageListResp
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/13 14:48
 * ...
 */
@Data
@ApiModel
@Accessors(chain = true)
public class SelectPoliceLevelResp implements Serializable {

    @ApiModelProperty(value = "Id")
    private String id;

    @ApiModelProperty(value = "分局名称")
    private String name;

    @ApiModelProperty("派出所")
    private List<BranchList> branchList;

    @Data
    @Accessors(chain = true)
    public static class BranchList implements Serializable {

        @ApiModelProperty(value = "Id")
        private String id;

        @ApiModelProperty(value = "派出所名称")
        private String name;
    }
}
