package com.metro.entity.ro.Police;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

/**
 * @ClassName: SelectPassreCordsPageListResp
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/13 14:48
 * ...
 */
@Data
@ApiModel
@Accessors(chain = true)
public class SelectPolicePageResp implements Serializable {

    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty(value = "派出所名称")
    private String companyName;

    @ApiModelProperty(value = "管理员姓名")
    private String userName;

    @ApiModelProperty(value = "账号")
    private String account;

    @ApiModelProperty(value = "管理员手机号")
    private String phone;

    @ApiModelProperty(value = "创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "派出所地址")
    private String address;




}
