package com.metro.entity.ro.Police;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: InsertPoliceReq
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/18 9:33
 * ...
 */
@Data
public class UpdatePoliceReq implements Serializable {

    @ApiModelProperty(value = "id")
    @NotNull(message = "id不能为空")
    private Integer id;

    @ApiModelProperty(value = "账号")
    @NotEmpty(message = "账号不能为空")
    private String account;


    @NotEmpty(message = "管理员姓名不能为空")
    @ApiModelProperty(value = "管理员姓名")
    private String userName;

    @ApiModelProperty(value = "管理员手机号")
    private String phone;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty("警号Id")
    private String policeId;

}