package com.metro.entity.ro.account;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @ClassName: RegisterAccountReq
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/14 21:11
 * ...
 */
@Data
public class LoginAccountReq implements Serializable {

    @ApiModelProperty(value = "账号名称")
    @NotEmpty(message = "账号不能为空!")
    private String account;
    @ApiModelProperty(value = "密码")
    @NotEmpty(message = "密码不能为空!")
    private String password;
}
