package com.metro.entity.ro.account;

import com.metro.enums.vaildated.IsPhone;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * @ClassName: InsertAccountReq
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/12 14:13
 * ...
 */
@Data
public class UpdateAccountReq implements Serializable {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty(value = "账号名称")
    private String account;

    @ApiModelProperty(value = "管理员姓名")
    private String userName;

    @ApiModelProperty(value = "管理员手机号")
    @NotEmpty(message = "手机号不能为空")
    private String phone;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty(value = "部门Id")
    private String companyId;

    @ApiModelProperty(value = "地区Id")
    private Integer areaId;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty("文件路径")
    private String fileUrl;

    @ApiModelProperty("警号Id")
    private String policeId;

}
