package com.metro.entity.ro.account;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

/**
 * @author ：lws
 * @date ：2022/3/12 19:33
 */
@Data
public class ValidAccountReq implements Serializable {

    @ApiModelProperty("账号")
    @NotEmpty(message = "请输入需要校验的账号！")
    private String account;
}
