package com.metro.entity.ro.passrecords;

import com.metro.baseRe.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @ClassName: Companys
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 10:50
 * ...
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class SelectPassreCordsPageListReq extends BaseEntity implements Serializable {

    @ApiModelProperty("姓名")
    private String xm;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("身份证号")
    private String cardId;

    @ApiModelProperty("0=抓捕，1=存疑，2=通过，3=异常")
    private Integer pass;

    @ApiModelProperty(value = "有效期开始时间")
    private String startTime;

    @ApiModelProperty(value = "有效期结束时间")
    private String endTime;

    @ApiModelProperty(value = "派出所")
    private String companyId;

    @ApiModelProperty(value = "安检口")
    private String branchId;

    @ApiModelProperty(value = "民警账号",hidden = true)
    private String staffCardId;
}