package com.metro.entity.search;

import com.metro.baseRe.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * @ClassName: AccountCompanyPageReq
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/10 10:11
 * ...
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel
public class JPersonSearch extends BaseEntity implements Serializable {

    @ApiModelProperty(value = "管理员姓名")
    private String xm;

    @ApiModelProperty(value = "管理员手机号")
    private String phone;

    @ApiModelProperty(hidden = true)
    private String companyId;

    @ApiModelProperty(hidden = true)
    private String branchId;

    @ApiModelProperty(hidden = true)
    private Integer type;

    @ApiModelProperty(hidden = true)
    private Integer adminId;
}
