package com.metro.entity.search;

import com.metro.baseRe.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("战果统计查询")
public class WarFruitSearch extends BaseEntity implements Serializable {

    @ApiModelProperty(value = "开始时间")
    private String startTime;

    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "派出所")
    private String companyId;

    @ApiModelProperty(value = "查询数量",hidden = true)
    private Integer limitNumber;
}
