package com.metro.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 */
@Data
@ApiModel
@Accessors(chain = true)
public class DataShowWarningVO extends WarningVO implements Serializable {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "身份证照片")
    private String idPhoto;

    @ApiModelProperty(value = "现场照片")
    private String scenePhoto;
}
