package com.metro.entity.vo;/*
 * @Description
 * @Date 2022/7/13 15:20
 * @Author wxg
 * */

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@ApiModel("新的民警")
@Accessors(chain = true)
public class NewPassreCordsWarFruitVO {

    @ApiModelProperty("民警身份证号")
    private String cardId;

    @ApiModelProperty("日期")
    private Date date;

    @ApiModelProperty("抓捕人数")
    private Integer arrestNumber;

    @ApiModelProperty("存疑人数")
    private Integer doubtNumber;

    @ApiModelProperty("通过人数")
    private Integer passNumber;

    @ApiModelProperty("异常人数")
    private Integer exceptionNumber;

}
