package com.metro.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * @ClassName: Companys
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 10:50
 * ...
 */
@Data
@ApiModel
@Accessors(chain = true)
public class WarningVO implements Serializable {

    @ApiModelProperty(value = "主键id")
    private Integer id;

    @ApiModelProperty(value = "姓名")
    private String xm;

    @ApiModelProperty(value = "身份证号")
    private String cardId;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "所属派出所")
    private String companyId;

    @ApiModelProperty(value = "所属派出所名")
    private String companyName;

    @ApiModelProperty(value = "所属派分局")
    private String branchId;

    @ApiModelProperty(value = "所属派分局名")
    private String branchName;

    @ApiModelProperty(value = "通行时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date passTime;

    @ApiModelProperty(value = "证件照片")
    private String idPhoto;

    @ApiModelProperty(value = "现场照片")
    private String scenePhoto;

    @ApiModelProperty(value = "处置民警")
    private String staffName;

    @ApiModelProperty(value = "处置民警账号")
    private String staffCardId;

    @ApiModelProperty(value = "上一次预警时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date LastTime;

    @ApiModelProperty(value = "人员类型")
    private String kind;



}
