package com.metro.exception;

/**
 * 业务异常
 *

 */
public class OpenCommomException extends RuntimeException
{
    private static final long serialVersionUID = 1L;

    protected final String message;

    public OpenCommomException(String message)
    {
        this.message = message;
    }

    public OpenCommomException(String message, Throwable e)
    {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage()
    {
        return message;
    }
}
