package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.metro.entity.po.Company;
import com.metro.entity.vo.BranchVO;
import com.metro.entity.vo.CompanyVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * @ClassName: CompanysMapper
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 13:52
 * ...
 */
public interface CompanysMapper extends BaseMapper<Company> {
    /*获取地铁列表*/
    List<CompanyVO> getCompanyList();
    /*根据地铁id获取地区列表*/
    List<BranchVO> getBranchList(String companyId);
    /*根据set查询去重后的对应company数据*/
    List<Company> selectByCompanySet(Set<String> companySet);
    /*根据set查询去重后的对应barnch数据*/
    List<Company> selectByBarnchSet(Set<String> barnchSet);
    /*根据companyId和获取company数据*/
    CompanyVO getCompanyByCompanyId(@Param("companyId") String companyId);
    /*根据companyId和获取company数据*/
    BranchVO getCompanyByCompanyIdandBranchId(@Param("companyId") String companyId,@Param("branchId") String branchId);
}
