package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.metro.entity.dto.DataShowMiddlerDTO;
import com.metro.entity.po.DataShow;
import com.metro.entity.search.WarFruitSearch;
import com.metro.entity.vo.DataShowBrandchVO;
import com.metro.entity.vo.DataShowTopVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DataShowMapper extends BaseMapper<DataShow> {
    /*type = 1 代表只查询今天的*/
    DataShow selectByCompanyIdGroup(@Param("companyId")String companyId,@Param("type")Integer type);
    /*根据条件进行分组查询*/
    List<DataShowBrandchVO> getDataShowListByCompanyIdAndBranchId(@Param("companyId")String companyId, @Param("dataShowMiddlerDTO")DataShowMiddlerDTO dataShowMiddlerDTO);
    /*派出所盘查top10*/
    List<DataShowTopVO> polliceOfficeTop10(WarFruitSearch warFruitSearch);

    void initData();

    List<DataShow> updateData(String passTime);
}
