package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.metro.entity.po.ExecuteControl;
import com.metro.entity.search.ExecuteControlSearch;
import com.metro.entity.vo.ExecuteControlVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 临时布控 Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-07-19
 */
public interface ExecuteControlMapper extends BaseMapper<ExecuteControl> {

    IPage<ExecuteControlVO> getPageList(Page<ExecuteControl> page, @Param("executeControlSearch") ExecuteControlSearch executeControlSearch);

    ExecuteControl selectBYIdNum(String idNum);

    Integer insertIn(ExecuteControl executeControl);

    Integer updateBykey(ExecuteControl executeControl);
}
