package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.metro.entity.po.JDevices;
import com.metro.entity.search.JDevicesSearch;
import com.metro.entity.vo.JDevicesVO;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wxg
 * @since 2022-04-26
 */
public interface JDevicesMapper extends BaseMapper<JDevices> {

    IPage<JDevicesVO> getPageList(Page<JDevicesVO> page, @Param("jDevicesSearch")JDevicesSearch jDevicesSearch);
}
