package com.metro.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.metro.entity.po.Company;
import com.metro.entity.po.PassreCords;
import com.metro.entity.search.WarningSearch;
import com.metro.entity.vo.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ClassName: PassreCordsMapper
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/15 16:41
 * ...
 */
public interface PassreCordsMapper  extends BaseMapper<PassreCords> {
    IPage<WarningVO> warningPageList(Page<WarningVO> page, @Param("warningSearch")WarningSearch warningSearch);
    /*查询今日之前的数据*/
    List<PassreCordsLessVO> selectBeforDataNumber(Company company);
    /*查询今日的数据*/
    List<PassreCordsLessVO> selectTodayDataNumber(@Param("companyId")String companyId,@Param("branchId")String branchId);
    /*站点盘查人流量变化*/
    List<PassreCordsGroupByTimeVO> selectDataShowMiddlerSite(Company company);
    /*查询今日之前民警数据  type=1今日之前的数据 type=2今日数据*/
    List<PassreCordsWarFruitVO> getWarFruit(Integer type);

    List<PassreCords> selectByIdList(List<Integer> idList);

    List<NewPassreCordsWarFruitVO> getWarFruitNew(Integer type);
}
