package com.metro.service;

import com.metro.baseRe.BaseResponse;
import com.metro.entity.dto.DataShowMiddlerDTO;
import com.metro.entity.vo.*;

import java.util.List;

public interface DataShowService {
    /*首页大屏上端数据获取 */
    BaseResponse<DataShowTopVO> selectDataShowTop();
    /*首页大屏中间左边站点人流量盘查TOP TOP20*/
    BaseResponse<DataShowMiddleVO> selectDataShowMiddler(DataShowMiddlerDTO dataShowMiddlerDTO);
    /*站点盘查人流量变化*/
    BaseResponse<DataShowMiddleSiteVO> selectDataShowMiddlerSite(Integer id);
    /*站点盘查人流量变化的站点列表获取*/
    List<SiteVO> selectSiteList();
    /*实时预警人员*/
    List<DataShowWarningVO> selectWarningList();
    /*实时预警详情*/
    WarningDetailOneVO selectWarningDetail(Integer id);
}
