package com.metro.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.metro.entity.dto.JDeviceUpdateDTO;
import com.metro.entity.search.JDevicesSearch;
import com.metro.entity.vo.JDevicesLessVO;
import com.metro.entity.vo.JDevicesVO;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author wxg
 * @since 2022-05-06
 */
public interface JDevicesService {
    /*设备列表分页*/
    IPage<JDevicesVO> getPageList(JDevicesSearch jDevicesSearch);
    /*修改设备的盘口*/
    Boolean updateJDevice(JDeviceUpdateDTO jDeviceUpdateDTO);
    /*设备列表（只查询设备编号）*/
    List<JDevicesLessVO> getList();
}
