package com.metro.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.metro.entity.ro.passrecords.*;
import com.metro.entity.search.WarningSearch;
import com.metro.entity.vo.WarningDetailOneVO;
import com.metro.entity.vo.WarningVO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * @ClassName: PassreCordsService
 * @Description: TODO
 * @Author: ZS
 * @CreateName: lws
 * @Date 2022/3/8 12:14
 * ...
 */
public interface PassreCordsService {

    /**
     * 查询派出所
     * @param req 查询条件
     * @return page列表
     */
    IPage<SelectPassreCordsPageListResp> page(SelectPassreCordsPageListReq req);
    /*
    * 删除
    * */
    DeletePassreCordsResq delete(DeletePassreCordsReq req);
    /*
    * 详情
    * */
    DetialPassreCordsResq selectById(DetailPassreCordsReq req);

    /*
     * @创建者  WXG
     * @描述  预警人员列表
     * @时间  2022/5/9 12:40
     **/
    IPage<WarningVO> warningPageList(WarningSearch warningSearch);
    /*
     * @创建者  WXG
     * @描述  预警人员详情列表
     * @时间  2022/5/9 12:40
     **/
    List<SelectPassreCordsPageListResp> warningDeatilList(SelectPassreCordsPageListReq req);
    /*
     * @创建者  WXG
     * @描述  预警人员详情带图返回
     * @时间  2022/5/9 12:40
     **/
    WarningDetailOneVO warningDeatil(Integer id);
    /*
     * @创建者  WXG
     * @描述  预警人员excel导出
     * @时间  2022/7/8 13:37
     * @参数
     **/
    void excelWarningPageList(WarningSearch warningSearch, HttpServletResponse response);
}
