package com.metro.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.metro.entity.search.PoliceSearch;
import com.metro.entity.search.WarFruitSearch;
import com.metro.entity.vo.WarFruitTopVO;
import com.metro.entity.vo.WarFruitVO;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 战果统计表 服务类
 * </p>
 *
 * @author wxg
 * @since 2022-05-19
 */
public interface WarFruitService{
    /*派出所盘查top10*/
    WarFruitTopVO polliceOfficeTop10(WarFruitSearch warFruitSearch);
    /*民警盘查top10*/
    WarFruitTopVO policeTop10(WarFruitSearch warFruitSearch);
    /*民警分页*/
    IPage<WarFruitVO> policePageList(PoliceSearch policeSearch);

    void excelWarningPageList(PoliceSearch policeSearch, HttpServletResponse response);

    void excelPoliceStationPageList(WarFruitSearch warFruitSearch, HttpServletResponse response);
}
