package com.metro.utils;

import org.apache.poi.ss.usermodel.Workbook;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.OutputStream;
import java.net.URLEncoder;

/**
 * @description:
 * @ClassName FileExportUtils
 * @Author WXG
 * @Date 2022/7/8 12:59
 */
public class FileExportUtils {
    public static HttpServletResponse ExcelExport(HttpServletResponse response, Workbook workBook, String fileName) throws IOException {
        response.setContentType("application/octet-stream");
        response.setHeader("Access-Control-Expose-Headers", "Content-Disposition");
        response.setHeader("Content-Disposition", "attachment; filename="
                + URLEncoder.encode(fileName, "UTF-8"));
        OutputStream outputStream = response.getOutputStream();
        workBook.write(outputStream);
        outputStream.close();
        return response;
    }
}
